--- title: "Action Type" slug: "server-api-global-setting-action-type" updated: 2022-06-16T08:02:46Z published: 2022-06-16T08:02:46Z canonical: "developer.comm100.com/server-api-global-setting-action-type" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Action Type ## Action Type - `Action Types` - Action Types Manage - `GET global/actionTypes` - [Get the list of Action Types](/docs/server-api-global-setting-action-type#get-the-list-of-action-types) - `GET global/actionTypes/{id}` - [Get a single Action Type](/docs/server-api-global-setting-action-type#get-a-single-action-type) ### Action Type JSON Format Action Type is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | integer | Id of action type. | | `moduleId` | string | Id of the module. | | `name` | string | Name of action type. | ### Get the list of Action Types `GET global/actionTypes` - #### Parameters: No Parameters - #### Response: An array of [Action Type](/docs/server-api-global-setting-action-type#action-type-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/actionTypes \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": 1, "moduleId": "Global", "name": "Agent Role Management" } ] ``` ### Get a single Action Type `GET global/actionTypes/{id}` - #### Parameters: No Parameters - #### Response: [Action Type](/docs/server-api-global-setting-action-type#action-type-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/actionTypes/1 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": 1, "moduleId": "Global", "name": "Agent Role Management" } ```